%include	/usr/lib/rpm/macros.php
%define		_class		Crypt
%define		_subclass	DiffieHellman
%define		_status		beta
%define		_pearname	Crypt_DiffieHellman
Summary:	%{_pearname} - Implementation of Diffie-Hellman Key Exchange cryptographic protocol for PHP5
Summary(pl.UTF-8):	%{_pearname} - implementacja protokołu uzgadniania kluczy Diffiego-Hellmana dla PHP5
Name:		php-pear-%{_pearname}
Version:	0.2.6
Release:	1
License:	New BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	421948445d0c92398d8231f417cbc2fe
URL:		http://pear.php.net/package/Crypt_DiffieHellman/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(bcmath)
Requires:	php(mbstring)
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.3.6
Suggests:	php-gmp
Obsoletes:	php-pear-Crypt_DiffieHellman-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implementation of the Diffie-Hellman Key Exchange cryptographic
protocol in PHP5. Enables two parties without any prior knowledge of
each other establish a secure shared secret key across an insecure
channel of communication.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Implementacja protokołu uzgadniania kluczy Diffiego-Hellmana dla PHP5.
Umożliwia dwóm stronom ustalenie w bezpieczny sposób klucza transmisji
poprzez niezabezpieczony kanał transmisji.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Crypt
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Crypt/DiffieHellman
%{php_pear_dir}/Crypt/DiffieHellman.php
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Crypt_DiffieHellman.git;a=log;h=master

* Tue Aug 28 2012 Elan Ruusamäe <glen@delfi.ee> dcbadda
- updated to: 0.2.6

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> e0c6be3
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> b2e1cc4
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> ce21e6a
- dropped -tests subpackage

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 46f4a19
- ensure rpmbuild macros present

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> b10688a
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> bb797f9
- up to 0.2.5

* Sat May 24 2008 Adam Gołębiowski <adamg@pld-linux.org> afdcef9
- release 3 (updated PEAR deps)

* Fri May 23 2008 Elan Ruusamäe <glen@pld-linux.org> 578b5a2
- PEAR epoch

* Fri May 23 2008 Adam Gołębiowski <adamg@pld-linux.org> cd6952f
- PEAR-core is enough

* Tue Apr 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 9beec18
- typo

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 486f908
- rel 2

* Tue Jan 01 2008 witekfl <witekfl@pld-linux.org> 5268c6a
- encoded in UTF-8

* Sun Sep 30 2007 Adam Gołębiowski <adamg@pld-linux.org> 47000ee
- new

